Package org.eclipse.graphiti.ui.internal.editor

# Class GraphitiScrollingGraphicalViewer

java.lang.Object
org.eclipse.gef.ui.parts.AbstractEditPartViewer
org.eclipse.gef.ui.parts.GraphicalViewerImpl
org.eclipse.gef.ui.parts.ScrollingGraphicalViewer
org.eclipse.graphiti.ui.internal.editor.GraphitiScrollingGraphicalViewer

All Implemented Interfaces:
  `org.eclipse.gef.EditPartViewer`, `org.eclipse.gef.GraphicalViewer`, `org.eclipse.jface.viewers.ISelectionProvider`

Direct Known Subclasses:
  `GFScrollingGraphicalViewer`

public class GraphitiScrollingGraphicalViewer extends org.eclipse.gef.ui.parts.ScrollingGraphicalViewer

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.gef.EditPartViewer

`org.eclipse.gef.EditPartViewer.Conditional`

## Field Summary

### Fields inherited from class org.eclipse.gef.ui.parts.AbstractEditPartViewer

`constantSelection, focusPart, selection, selectionListeners`

## Constructor Summary

Constructors
Constructor
Description
`GraphitiScrollingGraphicalViewer(DiagramBehavior diagramBehavior)`

## Method Summary

Modifier and Type
Method
Description
`void`
`appendSelection(org.eclipse.gef.EditPart editpart)`
`protected DiagramBehavior`
`getDiagramBehavior()`
`void`
`select(org.eclipse.gef.EditPart editpart)`
`void`
`setSelection(org.eclipse.jface.viewers.ISelection newSelection)`

### Methods inherited from class org.eclipse.gef.ui.parts.ScrollingGraphicalViewer

`createControl, getFigureCanvas, hookRootFigure, reveal`

### Methods inherited from class org.eclipse.gef.ui.parts.GraphicalViewerImpl

`createDefaultRoot, createLightweightSystem, findHandleAt, findObjectAtExcluding, flush, getEventDispatcher, getLayerManager, getLightweightSystem, getRootFigure, handleDispose, handleFocusGained, handleFocusLost, hookControl, hookDropTarget, registerAccessibleEditPart, setContextMenu, setCursor, setDragSource, setEditDomain, setRootEditPart, setRootFigure, setRouteEventsToEditDomain, unhookControl, unregisterAccessibleEditPart`

### Methods inherited from class org.eclipse.gef.ui.parts.AbstractEditPartViewer

`addDragSourceListener, addDragSourceListener, addDropTargetListener, addDropTargetListener, addPropertyChangeListener, addSelectionChangedListener, deselect, deselectAll, findObjectAt, findObjectAtExcluding, fireSelectionChanged, getContents, getContextMenu, getControl, getDelegatingDragAdapter, getDelegatingDropAdapter, getDragSource, getDropTarget, getEditDomain, getEditPartFactory, getEditPartForModel, getEditPartRegistry, getFocusEditPart, getKeyHandler, getProperty, getResourceManager, getRootEditPart, getSelectedEditParts, getSelection, getSelectionManager, getVisualPartMap, hookDragSource, init, primGetSelectedEditParts, refreshDragSourceAdapter, refreshDropTargetAdapter, removeDragSourceListener, removeDragSourceListener, removeDropTargetListener, removeDropTargetListener, removePropertyChangeListener, removeSelectionChangedListener, setContents, setContents, setControl, setDropTarget, setEditPartFactory, setFocus, setKeyHandler, setProperty, setSelectionManager`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.gef.EditPartViewer

`addDragSourceListener, addDragSourceListener, addDropTargetListener, addDropTargetListener, addPropertyChangeListener, deselect, deselectAll, findObjectAt, findObjectAtExcluding, getContents, getContextMenu, getControl, getEditDomain, getEditPartFactory, getEditPartForModel, getEditPartRegistry, getFocusEditPart, getKeyHandler, getProperty, getResourceManager, getRootEditPart, getSelectedEditParts, getSelection, getSelectionManager, getVisualPartMap, removeDragSourceListener, removeDragSourceListener, removeDropTargetListener, removeDropTargetListener, removePropertyChangeListener, setContents, setContents, setControl, setEditPartFactory, setFocus, setKeyHandler, setProperty, setSelectionManager`

### Methods inherited from interface org.eclipse.jface.viewers.ISelectionProvider

`addSelectionChangedListener, removeSelectionChangedListener`

## Constructor Details

### GraphitiScrollingGraphicalViewer

public GraphitiScrollingGraphicalViewer(DiagramBehavior diagramBehavior)

## Method Details

### select

public void select(org.eclipse.gef.EditPart editpart)

Specified by:
  `select` in interface `org.eclipse.gef.EditPartViewer`
Overrides:
  `select` in class `org.eclipse.gef.ui.parts.AbstractEditPartViewer`

### setSelection

public void setSelection(org.eclipse.jface.viewers.ISelection newSelection)

Specified by:
  `setSelection` in interface `org.eclipse.jface.viewers.ISelectionProvider`
Overrides:
  `setSelection` in class `org.eclipse.gef.ui.parts.AbstractEditPartViewer`

### appendSelection

public void appendSelection(org.eclipse.gef.EditPart editpart)

Specified by:
  `appendSelection` in interface `org.eclipse.gef.EditPartViewer`
Overrides:
  `appendSelection` in class `org.eclipse.gef.ui.parts.AbstractEditPartViewer`

### getDiagramBehavior

protected DiagramBehavior getDiagramBehavior()